Use nemo-desktop to draw desktop icons under Unity (Disco)

Bug #1814506 reported by Khurshid Alam on 2019-02-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-settings (Ubuntu)
Undecided
Unassigned
ubuntu-themes (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-tweak-tool (Ubuntu)
Undecided
Unassigned

Bug Description

As nautilus > 3.30 is now uploaded in Ubuntu 19.10, it doesn't have the desktop any more. The alternate options are to use caja-desktop or nemo-desktop keeping nautilus default file manger for now. Since nemo-desktop does not require any extensive patching it is easy to use under unity.

Nemo-desktop will only draw the icons, not the background. In absence of
nautilus unity-settings-daemon draws the background, so nothing to do in u-s-d.

There are few small patches (nemo action files) required from nemo. @fossfreedom (ubuntu-budgie-dev) suggested that it's better that we ship
these action files ourselves as recommended by upstream. Budgie is doing the same.
https://github.com/UbuntuBudgie/budgie-desktop-environment/tree/master/nemo-actions

Since nautilus still be default file-manager we disable auto-mount with nemo and various other cinnamon/nemo option in ubuntu-settings.gsettings-override

Related branches

description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+19.04.20190208-0ubuntu1

---------------
unity (7.5.0+19.04.20190208-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Install compiz configuration files.

  [ Khurshid Alam ]
  * Recommend nemo for unity. (LP: #1814506)

 -- Dmitry Shachnev <email address hidden> Fri, 08 Feb 2019 11:46:59 +0000

Changed in unity (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 19.04-0ubuntu1

---------------
ubuntu-themes (19.04-0ubuntu1) disco; urgency=medium

  [ Khurshid Alam ]
  * Don't use icon hover bg color on nemo desktop (LP: #1814506)

 -- Didier Roche <email address hidden> Wed, 13 Feb 2019 15:45:56 +0100

Changed in ubuntu-themes (Ubuntu):
status: New → Fix Released
Revision history for this message
Amr Ibrahim (amribrahim1987) wrote :

Just a comment, does that mean that two file managers will always be run in the background? If so, why not just use nemo and drop nautilus completely?

Revision history for this message
Khurshid Alam (khurshid-alam) wrote :

@Amr

Ah, No. In users eye nemo won't even exist in Unity. We are only using nemo-desktop which is a separate binary to draw icons under unity, nothing else. It's difficult to remove nautilus completely as it is burried deep. It requires work on unity, unity-lens-files, hud, bamf, zeitgeist and in indicators.

Revision history for this message
Amr Ibrahim (amribrahim1987) wrote :

Yes, I understand that users will not see nemo, but the memory will :)
But I get why nautilus is hard to let go.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-settings - 19.04.2

---------------
ubuntu-settings (19.04.2) disco; urgency=medium

  * Remove actions that are now in unity-session package.

 -- Didier Roche <email address hidden> Tue, 19 Feb 2019 11:32:38 +0100

Changed in ubuntu-settings (Ubuntu):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-tweak-tool - 0.0.7+-0ubuntu5

---------------
unity-tweak-tool (0.0.7+-0ubuntu5) disco; urgency=medium

  * Switch to source format 3.0 (quilt), because this in not a native package
  * Use nemo-desktop to draw desktop icons under Unity (LP: #1814506)
  * Specify GTK version 3 to fix warning (LP: #1575485)
  * Add required dependency on notify-osd (LP: #1822472)
  * Add missing build dependency on dh-python
  * Drop ancient X-Python3-Version field
  * Run wrap-and-sort

 -- Benjamin Drung <email address hidden> Wed, 10 Apr 2019 14:36:41 +0200

Changed in unity-tweak-tool (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers